<?php
namespace Incoviba\nuevo\Proyecto;

use Incoviba\Common\Alias\NewEstado;

/**
 * 
 * @author Aldarien
 * @property Proyecto proyecto_id
 * @property TipoEstadoProyecto estado_id
 *
 */
class EstadoProyecto extends NewEstado
{
	protected static $_table = 'estado_proyectos';
	
	public function proyecto()
    {
    	return $this->belongsTo(Proyecto::class, 'proyecto_id')->findOne();
    }
    public function estado()
    {
    	return $this->belongsTo(TipoEstadoProyecto::class, 'estado_id')->findOne();
    }
}
